package com.huimv.devicedata.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.sql.Timestamp;

@Entity
@Table(name = "warning_info")
public class WarningInfoEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    private Integer id;

    /**
     * 温度
     */
    @Column(name = "temperature")
    private Double temperature;

    /**
     * 湿度
     */
    @Column(name = "humidity")
    private Integer humidity;

    /**
     * 上传时间
     */
    @Column(name = "upload_time")
    private Timestamp uploadTime;

    /**
     * 报警类型
     */
    @Column(name = "type")
    private String type;

    /**
     * 机器编号
     */
    @Column(name = "LQID")
    private String LQID;

    /**
     * 报警类型,1:设备,2:环境,3生产数据
     */
    @Column(name = "warning_type")
    private Integer warningType;

    /**
     * 0:显示,1:不显示
     */
    @Column(name = "show_status")
    private Boolean showStatus;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 温度
     */
    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    /**
     * 温度
     */
    public Double getTemperature() {
        return temperature;
    }

    /**
     * 湿度
     */
    public void setHumidity(Integer humidity) {
        this.humidity = humidity;
    }

    /**
     * 湿度
     */
    public Integer getHumidity() {
        return humidity;
    }

    /**
     * 上传时间
     */
    public void setUploadTime(Timestamp uploadTime) {
        this.uploadTime = uploadTime;
    }

    /**
     * 上传时间
     */
    public Timestamp getUploadTime() {
        return uploadTime;
    }

    /**
     * 报警类型
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 报警类型
     */
    public String getType() {
        return type;
    }

    /**
     * 机器编号
     */
    public void setLQID(String LQID) {
        this.LQID = LQID;
    }

    /**
     * 机器编号
     */
    public String getLQID() {
        return LQID;
    }

    /**
     * 报警类型,1:设备,2:环境,3生产数据
     */
    public void setWarningType(Integer warningType) {
        this.warningType = warningType;
    }

    /**
     * 报警类型,1:设备,2:环境,3生产数据
     */
    public Integer getWarningType() {
        return warningType;
    }

    /**
     * 0:显示,1:不显示
     */
    public void setShowStatus(Boolean showStatus) {
        this.showStatus = showStatus;
    }

    /**
     * 0:显示,1:不显示
     */
    public Boolean isShowStatus() {
        return showStatus;
    }

    @Override
    public String toString() {
        return "WarningInfoEntity{" +
                "id=" + id + '\'' +
                "temperature=" + temperature + '\'' +
                "humidity=" + humidity + '\'' +
                "uploadTime=" + uploadTime + '\'' +
                "type=" + type + '\'' +
                "LQID=" + LQID + '\'' +
                "warningType=" + warningType + '\'' +
                "showStatus=" + showStatus + '\'' +
                '}';
    }
}
